FROM registry.gitlab.com/autonomous-systems-lab/libraries/docker-robotic/ros-desktop:noetic-20.04

ARG BASEIMAGE_ROS_DISTRO=noetic

# Install needed ROS packages
RUN apt-get update && apt-get install -y \
        ros-${BASEIMAGE_ROS_DISTRO}-moveit \
        ros-${BASEIMAGE_ROS_DISTRO}-joint-trajectory-controller \
        ros-${BASEIMAGE_ROS_DISTRO}-moveit-visual-tools

RUN mkdir -p /sample_code_ws/src
WORKDIR /sample_code_ws
ADD ./sample_code /sample_code_ws/src/sample_code
RUN chmod +x /sample_code_ws/src/sample_code/scripts/test_script.py

RUN . /opt/ros/noetic/setup.sh && catkin build && \
    echo "source /sample_code_ws/devel/setup.bash" >> ~/.bashrc && \
    echo "/sample_code_ws/devel" > /etc/main_ros_workspace

